---
title: "Projects"
date: 2023-01-04T10:18:30+01:00
draft: false
type: "page"
---

You can find the source code for some of these projects at [gitea](https://libneat.hopto.org/git).

# Wolves Of The Mystical Forest

A rogue like that was submitted to the [7DRL Challenge 2023](https://itch.io/jam/7drl-challenge-2023).
The game is themed around wilderness exploration.

You can find it on [itch.io](https://fumblegames.itch.io/wolves-of-the-mystical-forest).

![Gameplay of Wolves Of The Mystical Forest](/wolves.png)

# NVR

A VR engine intended for a series of fantasy games.
Because of a shift in focus, i recently began a rewrite of this from scratch, but it is based on a previous engine called n2.

# rt_replay.h

A single header C99 library for input recording & replay.

# Fantasy Heist

A multiplayer stealth-dungeon-crawler, built using the awesome Godot Engine together with another developer.
The project is currently on hold, but the idea might be re-used at some point.

![A very early stage screenshot of Fantasy Heist.](/fantasy_heist.png)

# GPU Algorithm for Dynamic Time Warping

My bachelor thesis delt with implementing an GPU algorithm for time series comparison.
A paper describing the implementation was published at the [PARS-Workshop 2019](https://fg-pars.gi.de/veranstaltung/pars-workshop-2019).
The paper itself can be found [here at page 63](https://dl.gi.de/bitstream/handle/20.500.12116/33861/PARS-Mitteilungen_2019.pdf).

# Krimi Dinner Engine

A simple base layer for a murder mystery dinner game.
The game itself is not by me, but i contributed the basic technology for rendering and android & windows compatibility.
